Package io.vertx.ext.stomp.utils

## Class Headers

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​String>
    - - io.vertx.ext.stomp.utils.Headers

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​String>`

      public class Headers
      extends HashMap<String,​String>

  An implementation of `HashMap` to store STOMP frame headers. This implementations offer fluent methods to ease the construction of the headers.
  Author:
    Clement Escoffier
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Headers()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Headers` | `add​(String header, String value)` |
    `Headers` | `addAll​(Map<String,​String> other)` |
    `static Headers` | `create()` |
    `static Headers` | `create​(String... kv)` |
    `static Headers` | `create​(Map<String,​String> headers)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Headers

          public Headers()

  - ### Method Detail

    - #### create

          public static Headers create()

    - #### create

          public static Headers create​(String... kv)

    - #### add

          public Headers add​(String header,
                             String value)

    - #### addAll

          public Headers addAll​(Map<String,​String> other)

    - #### create

          public static Headers create​(Map<String,​String> headers)